Range-v3 Range algorithms, views, and actions for the Standard Library |

Friends | List of all members
ranges::experimental::shared_closure_base Struct Reference

## Friends
template<typename Rng , typename SharedFn >
constexpr friend auto | operator| (Rng &&rng, shared_closure< SharedFn > vw)
template<typename SharedFn , typename Pipeable >
constexpr friend auto | operator| (shared_closure< SharedFn > sh, Pipeable pipe) -> shared_closure< composed< Pipeable, SharedFn >>

## Methods

## ◆ operator|

template<typename Rng , typename SharedFn >

constexpr friend auto operator| | ( | Rng && | rng,
|  | shared_closure< SharedFn > | vw
| ) |  |
| friend

Precondition
  requires `range<Rng> && (!viewable_range<Rng>) && constructible_from<detail::decay_t<Rng>, Rng>`